-- | FFI module fir initiation and exiting of GEGL
module GEGL.FFI
  ( c_gegl_init
  , c_gegl_exit
  ) where

import Foreign
import Foreign.Ptr
import Foreign.C.Types
import Foreign.C.String (CString)

-- | Interface to the @gegl_init@ function in C
foreign import ccall unsafe "gegl.h gegl_init"
  c_gegl_init
    :: Ptr CInt    -- ^Pointer to @argc@
    -> Ptr CString -- ^@argv@ list
    -> IO ()

-- | Interface to the @gegl_exit@ function in C
foreign import ccall unsafe "gegl.h gegl_exit"
  c_gegl_exit :: IO ()
